# Structs

## Coding Style Guide:


**Requirements**

1. Comments
2. Don’t Repeat Yourself (DRY)
3. Names
    1. Structs – meaningful names, upper camelCase (i.e., MyStruct)
    2. Struct Members – meaningful names, all lower case, underscores separating words (i.e., my_struct_member)
4. Indent/Brace Style
5. Files
6. Headers


**Recommendations**

1. Comments
2. Dont Repeat Yourself
3. General Formatting
4. Indent/Brace style
5. Variables

---

## Definitions

**STRUCT**

* A collection of one or more variables.
* These variables may be different data types.
* This collection is grouped together under a single 'name' for convenient handling.
* Beneficial to organizing complicated data.
* Related variables can be treated as a unit instead of separate entities.
